﻿using System;

namespace WOLGateway.PresentationService
{
    /// <summary>
    /// String Event Args
    /// </summary>
    public class StringEventArgs : EventArgs
    {
        /// <summary>
        /// Text
        /// </summary>
        private readonly string text;

        /// <summary>
        /// Constructor
        /// </summary>
        /// <param name="text">Text</param>
        public StringEventArgs(string text)
        {
            this.text = text;
        }

        /// <summary>
        /// Gets the text
        /// </summary>
        /// <value>The text</value>
        public string Text
        {
            get
            {
                return this.text;
            }
        }
    }
}